API ReferenceapibookingGET /v1/bookings/me

GET /v1/bookings/me

Service: booking · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Current patient office-hour bookings

{
  "type": "object",
  "properties": {
    "bookings": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "office_hour_id": {
            "type": "string"
          },
          "patient_id": {
            "type": "string"
          },
          "slot_at": {
            "type": "string",
            "format": "date-time"
          },
          "duration_minutes": {
            "type": "number"
          },
          "status": {
            "type": "string"
          },
          "notes": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "office_hour_id",
          "patient_id",
          "slot_at",
          "duration_minutes",
          "status",
          "notes",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "bookings"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://booking.platform.loop.health/v1/bookings/me \
  -H "Authorization: Bearer $ACCESS_TOKEN"